<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <artifactId>ghjg-item-datashare-common</artifactId>
  <dependencies>
    <dependency>
      <artifactId>Infrastructure</artifactId>
      <groupId>com.shanghaigeography</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/Infrastructure-1.1-SNAPSHOT.jar</systemPath>
      <version>1.1-SNAPSHOT</version>
    </dependency>
    <dependency>
      <artifactId>protostuff-core</artifactId>
      <groupId>io.protostuff</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/protostuff-core-1.6.0.jar</systemPath>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <artifactId>protostuff-api</artifactId>
      <groupId>io.protostuff</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/protostuff-api-1.6.0.jar</systemPath>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <artifactId>protostuff-runtime</artifactId>
      <groupId>io.protostuff</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/protostuff-runtime-1.6.0.jar</systemPath>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <artifactId>protostuff-collectionschema</artifactId>
      <groupId>io.protostuff</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/protostuff-collectionschema-1.6.0.jar</systemPath>
      <version>1.6.0</version>
    </dependency>
    <dependency>
      <artifactId>tomcat-embed-core</artifactId>
      <groupId>tomcat-embed-core</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/tomcat-embed-core-9.0.33.jar</systemPath>
      <version>9.0.33</version>
    </dependency>
    <dependency>
      <artifactId>bayonetutil</artifactId>
      <groupId>bayonetutil</groupId>
      <scope>system</scope>
      <systemPath>${project.basedir}/libs/bayonetutil.jar</systemPath>
      <version>1.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <artifactId>commons-io</artifactId>
      <groupId>org.apache.commons</groupId>
    </dependency>
    <dependency>
      <artifactId>lombok</artifactId>
      <groupId>org.projectlombok</groupId>
    </dependency>
    <!-- Token生成与解析-->
    <dependency>
      <artifactId>jjwt</artifactId>
      <groupId>io.jsonwebtoken</groupId>
    </dependency>
  </dependencies>

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <artifactId>ghjg-item-datashare</artifactId>
    <groupId>com.shanghaichengdi</groupId>
    <version>1.0-SNAPSHOT</version>
  </parent>

  <properties>
    <maven.compiler.source>8</maven.compiler.source>
    <maven.compiler.target>8</maven.compiler.target>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>

</project>